Pages: [1]
  Print  
Author Topic: Which versions are compatible with Open Arena  (Read 6359 times)
1-800-SAVETHEWHALES
Nub


Cakes 0
Posts: 7


« on: May 01, 2009, 08:08:21 am »

In terms of mods?  1.16, 1.17 1.31 or 1.32....just curious
Logged
sago007
Posts a lot
*

Cakes 61
Posts: 1651


Open Arena Developer


WWW
« Reply #1 on: May 01, 2009, 08:36:44 am »

1.32 only. That was the version id released source for. Some media is missing but that is only a problem for some mods. Mods using platform specific files will fail (they are few but noticeable).
Logged

There are nothing offending in my posts.
1-800-SAVETHEWHALES
Nub


Cakes 0
Posts: 7


« Reply #2 on: May 02, 2009, 05:47:31 pm »

ahh this is kindof unfortunate.  I love this old school mod which hasn't been played for years.  I still have the qvm I think it is.  How much time do you believe it would take a programmer to update a old 1.11/1.16 qvm to 1.32.  It is ONLY a server side mod for christ's sakes LOL.
Logged
fromhell
Administrator
GET A LIFE!
**********

Cakes 31
Posts: 14480



WWW
« Reply #3 on: May 02, 2009, 11:12:04 pm »

You'll be lucky in these odds if:

- The server is running a custom map that works in both OA in Q3
- The server is running a compatible QVM that works with Q3
- The server is non-pure
- The server isn't running a OA-exclusive gametype
Logged

asking when OA3 will be done won't get OA3 done.
Progress of OA3 currently occurs behind closed doors alone

I do not provide technical support either.

new code development on github
1-800-SAVETHEWHALES
Nub


Cakes 0
Posts: 7


« Reply #4 on: May 06, 2009, 06:31:25 pm »

Ok I'm not a programmer but I have C++ somewhere lol.  Where do I have to go to make a mod compatible with open arena.  I tried to use excessive on my desktop but it reference baseq3
Logged
sago007
Posts a lot
*

Cakes 61
Posts: 1651


Open Arena Developer


WWW
« Reply #5 on: May 06, 2009, 06:50:28 pm »

There are some hints to different mods on the Wiki: http://openarena.wikia.com/wiki/ModCompat
Logged

There are nothing offending in my posts.
WaspKiller
Bigger member


Cakes 8
Posts: 159



WWW
« Reply #6 on: May 06, 2009, 09:05:50 pm »

Ok I'm not a programmer but I have C++ somewhere lol.  Where do I have to go to make a mod compatible with open arena.  I tried to use excessive on my desktop but it reference baseq3


NBF (http://naturalbornfraggers.com) is one of the few remaining Excessive Clans around.  Their server is based on 1.32c.  If you have that version of Excessive and not some old version like what you mentioned in a previous post then try contacting my Clan Mate WaspBeast (http://forums.excessiveplus.net/profile.php?mode=viewprofile&u=13161) to find out what you need to modify.

I don't really like Excessive but I do play ExcessivePlus (which can be played server-side only or with the full client) and it was a minor task to have the server-side only work in OA.


GL if you are planning on setting up a Public Server.  I think more Mods on OA is a good thing as long as they use the current version of OA.
Logged



Calm is for LOSERS!  ANGER fuels my game and btw you're NEXT!
1-800-SAVETHEWHALES
Nub


Cakes 0
Posts: 7


« Reply #7 on: May 06, 2009, 09:44:43 pm »

lol the reason why I was mentioning the old versions is because the qvm file of excessive for 1.16 is replaced with the SoD MoD version and pOOf...now u have SoD MoD and not excessive.  Unfortunatly the qvm does not work for 1.32.  My first step was to see if I could get excessive(1.32) to work and so far the answer is not yet.  Excessive plus is absolute garbage by the way....just had to add that LOL.
Logged
1-800-SAVETHEWHALES
Nub


Cakes 0
Posts: 7


« Reply #8 on: May 06, 2009, 10:50:22 pm »

And the only reason I am inquiring is because excessive is a server side mod so I don't see it having many issues...
Logged
fromhell
Administrator
GET A LIFE!
**********

Cakes 31
Posts: 14480



WWW
« Reply #9 on: May 06, 2009, 11:33:46 pm »

Hey lolly! fancy seeing you here!
Logged

asking when OA3 will be done won't get OA3 done.
Progress of OA3 currently occurs behind closed doors alone

I do not provide technical support either.

new code development on github
1-800-SAVETHEWHALES
Nub


Cakes 0
Posts: 7


« Reply #10 on: May 07, 2009, 04:08:00 pm »

I get a client/server game mismatch with baseq3 and oarena...
Logged
WaspKiller
Bigger member


Cakes 8
Posts: 159



WWW
« Reply #11 on: May 07, 2009, 07:11:02 pm »

Hey lolly! fancy seeing you here!


:-)


Not likely...   and I wouldn't hold my breath in anticipation unless you'd like to turn a lovely shade of blue.


Note:  He changed to another old avatar a while ago (http://lolly.deviantart.com/).  He must be a cool guy as he has visited my DA page (which prominently uses the avatar) several times since I joined in 2004.
Logged



Calm is for LOSERS!  ANGER fuels my game and btw you're NEXT!
Pages: [1]
  Print  
 
Jump to: